### Hierarchy

- NodeInstanceEntityDependencyHelper

## Index

### Constructors

- constructor

### Properties

- eventAggregator
- iamService
- messageBusService
- nodeInstanceEntityTypeService
- processEngineService
- timingService

## Constructors

### constructor

- new NodeInstanceEntityDependencyHelper(messageBusService: IMessageBusService, eventAggregator: IEventAggregator, iamService: IIamService, nodeInstanceEntityTypeService: INodeInstanceEntityTypeService, processEngineService: IProcessEngineService, timingService: ITimingService): NodeInstanceEntityDependencyHelper

- - Defined in entity_types/node_instance.ts:21

  #### Parameters

  - ##### messageBusService: IMessageBusService

  - ##### eventAggregator: IEventAggregator

  - ##### iamService: IIamService

  - ##### nodeInstanceEntityTypeService: INodeInstanceEntityTypeService

  - ##### processEngineService: IProcessEngineService

  - ##### timingService: ITimingService

  #### Returns NodeInstanceEntityDependencyHelper

## Properties

### eventAggregator

eventAggregator: IEventAggregator = undefined

- Defined in entity_types/node_instance.ts:17

### iamService

iamService: IIamService = undefined

- Defined in entity_types/node_instance.ts:18

### messageBusService

messageBusService: IMessageBusService = undefined

- Defined in entity_types/node_instance.ts:16

### nodeInstanceEntityTypeService

nodeInstanceEntityTypeService: INodeInstanceEntityTypeService = undefined

- Defined in entity_types/node_instance.ts:19

### processEngineService

processEngineService: IProcessEngineService = undefined

- Defined in entity_types/node_instance.ts:20

### timingService

timingService: ITimingService = undefined

- Defined in entity_types/node_instance.ts:21

Generated using TypeDoc